<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Requests;
use App\Job;
use App\Resume;
use DB;
use Carbon\Carbon;
use App\Company;
use App\ApplicationDataAnalyzer;
use View;
use Response;
class JobController extends Controller
{
    
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function show($id, $jobid)
    {
        $company = Company::find($id);

        $jobs = $company
            ->jobs()
            ->online()
            ->get();
        
        $job = Job::find($jobid);

        $active = 'j'.$jobid ;

        return view('companyHR.jobDetailContainer')
            ->with('job', $job)
            ->with('company', $company)
            ->with('active', $active)
            ->with('jobs', $jobs);
    }

    public function jobsList($id)
    {
        $jobs = Company::find($id)
            ->jobs()
            ->online()
            ->paginate(20);

        return ['html' => View::make(
            'companyHR.dashboardJobList', 
            [
                'jobs' => $jobs,
                'company' => $id,
            ]
        )->render()];    
    }

    public function amountChart($jobid)
    {
        $total = [];
        $job = Job::find($jobid);
        $resumes = ApplicationDataAnalyzer::with('Resume')
        ->ofJobCode($jobid)
        ->ofPreviousDay(15)
        ->get();

        foreach($resumes as $resume)
        {
            if($resume->Resume->JobType1==$job->JobType || $resume->Resume->JobType2==$job->JobType){
                if(isset($total[$job->JobType.'(JobType Direct)'])){
                    $total[$job->JobType.'(JobType Direct)']++;
                }else{
                    $total[$job->JobType.'(JobType Direct)']=1;
                }
            }else{
                if(isset($total[$resume->Resume->JobType1])){
                    $total[$resume->Resume->JobType1]++;
                }else{
                    $total[$resume->Resume->JobType1]=1;
                }
            }
        }
        unset($total['']);
        return Response::json(array('total' => $total));
    }
}