<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Requests;
use App\Resume;
use App\Job;
use App\Tambon;
use DB;
use App\Company;
use Carbon\Carbon;
use View;
use App\ApplicationDataAnalyzer;
use App\ViewerLog;
use PDF;
use Response;
class ResumeController extends Controller 
{

    // public function __construct()
    // {
    //     $this->middleware('auth');
    // }
    
    public function show($id, $resumeid)
    {
        $company = Company::find($id);
        
        $jobs = Company::find($id) 
            ->jobs()
            ->online()
            ->get();

        $resume = Resume::find($resumeid);
        
        return view('companyHR.resumeDetail')
            ->with('resume', $resume)
            ->with('company', $company)
            ->with('active', 0)
            ->with('jobs', $jobs);
    }

    public function resumeContainer($id, $jobid)
    {
        $company = Company::find($id);

        $jobs = Company::find($id) 
            ->jobs()
            ->online()
            ->get();

        $job = Job::find($jobid);

        $active = 'a'.$jobid;

        return view('companyHR.resumesListContainer')
            ->with('jobs', $jobs)
            ->with('job', $job)
            ->with('active', $active)
            ->with('company', $company);
    }
    
    public function resumeList($id, $jobid, $action)
    {  
        $resumes = ViewerLog::with('resumes')
            ->ofJobCode($jobid)
            ->ofPreviousDay(15)
            ->ofAction($action)
            ->orderBy('CreateDate', 'DESC')
            ->paginate(20);
            
        return ['html' => View::make(
            'companyHR.resumesList', 
            [ 
                'resumes' => $resumes,
                'action' => $action,
                'company' => $id,
            ]
        )->render()];
    }

    public function getprovince($province_id)
    {
        $province = Tambon::ofProvince($province_id)->first()->PROVINCE_THAI;
            return Response::json(array('province' => $province));
    }

    public function genPDF($resumeid)
    {
        $resume = Resume::find($resumeid);
        
        PDF::saveFromView(view('companyHR.resumeToPDF',['resume' => $resume]), 
            public_path("pdf/Resume_{$resumeid}.pdf")
        );
    }


    public function genChart($resumeid)
    {
        $chart = ApplicationDataAnalyzer::select( DB::raw('count(*) as counter,JobType'))
            ->ofPreviousDay(15)
            ->ofResumeCode($resumeid)
            ->groupBy('JobType')
            ->get();

        return Response::json(array('chart' => $chart));
    }
    
    public function applyChart($jobid)
    {

        $maleAge16to20 = 0;
        $maleAge21to25 = 0;
        $maleAge26to30 = 0;
        $maleAge31to35 = 0;
        $maleAge36to40 = 0;
        $maleAge41to45 = 0;
        $maleAge46to50 = 0;
        $maleAge51to55 = 0;
        $maleAge56to60 = 0;

        $femaleAge16to20 = 0;
        $femaleAge21to25 = 0;
        $femaleAge26to30 = 0;
        $femaleAge31to35 = 0;
        $femaleAge36to40 = 0;
        $femaleAge41to45 = 0;
        $femaleAge46to50 = 0;
        $femaleAge51to55 = 0;
        $femaleAge56to60 = 0;

        $applyers = ApplicationDataAnalyzer::ofPreviousDay(15)
            ->ofJobCode($jobid)
            ->with('Resume')
            ->get();
        
        foreach ($applyers as $applyer) {
            if($applyer->resume->Gender == "ช"){
                if(Carbon::parse($applyer->resume->DOB)->age >= 16 && Carbon::parse($applyer->resume->DOB)->age <= 20 ){
                    $maleAge16to20++;
                }
                if(Carbon::parse($applyer->resume->DOB)->age >= 21 && Carbon::parse($applyer->resume->DOB)->age <= 25 ){
                    $maleAge21to25++;
                }
                if(Carbon::parse($applyer->resume->DOB)->age >= 26 && Carbon::parse($applyer->resume->DOB)->age <= 30 ){
                    $maleAge26to30++;
                }
                if(Carbon::parse($applyer->resume->DOB)->age >= 31 && Carbon::parse($applyer->resume->DOB)->age <= 35 ){
                    $maleAge31to35++;
                }
                if(Carbon::parse($applyer->resume->DOB)->age >= 36 && Carbon::parse($applyer->resume->DOB)->age <= 40 ){
                    $maleAge36to40++;
                }
                if(Carbon::parse($applyer->resume->DOB)->age >= 41 && Carbon::parse($applyer->resume->DOB)->age <= 45 ){
                    $maleAge41to45++;
                }
                if(Carbon::parse($applyer->resume->DOB)->age >= 46 && Carbon::parse($applyer->resume->DOB)->age <= 50 ){
                    $maleAge46to50++;
                }
                if(Carbon::parse($applyer->resume->DOB)->age >= 51 && Carbon::parse($applyer->resume->DOB)->age <= 55 ){
                    $maleAge51to55++;
                }
                if(Carbon::parse($applyer->resume->DOB)->age >= 56 && Carbon::parse($applyer->resume->DOB)->age <= 60 ){
                    $maleAge56to60++;
                }
            }
            elseif($applyer->resume->Gender == "ญ"){
                if(Carbon::parse($applyer->resume->DOB)->age >= 16 && Carbon::parse($applyer->resume->DOB)->age <= 20 ){
                    $femaleAge16to20++;
                }
                if(Carbon::parse($applyer->resume->DOB)->age >= 21 && Carbon::parse($applyer->resume->DOB)->age <= 25 ){
                    $femaleAge21to25++;
                }
                if(Carbon::parse($applyer->resume->DOB)->age >= 26 && Carbon::parse($applyer->resume->DOB)->age <= 30 ){
                    $femaleAge26to30++;
                }
                if(Carbon::parse($applyer->resume->DOB)->age >= 31 && Carbon::parse($applyer->resume->DOB)->age <= 35 ){
                    $femaleAge31to35++;
                }
                if(Carbon::parse($applyer->resume->DOB)->age >= 36 && Carbon::parse($applyer->resume->DOB)->age <= 40 ){
                    $femaleAge36to40++;
                }
                if(Carbon::parse($applyer->resume->DOB)->age >= 41 && Carbon::parse($applyer->resume->DOB)->age <= 45 ){
                    $femaleAge41to45++;
                }
                if(Carbon::parse($applyer->resume->DOB)->age >= 46 && Carbon::parse($applyer->resume->DOB)->age <= 50 ){
                    $femaleAge46to50++;
                }
                if(Carbon::parse($applyer->resume->DOB)->age >= 51 && Carbon::parse($applyer->resume->DOB)->age <= 55 ){
                    $femaleAge51to55++;
                }
                if(Carbon::parse($applyer->resume->DOB)->age >= 56 && Carbon::parse($applyer->resume->DOB)->age <= 60){
                    $femaleAge56to60++;
                }
            }
        }

        $result =[
            [
                "type"=> "bar",
                "showInLegend"=> true,
                "name"=> "ชาย",
                "color"=> "blue",
                "dataPoints" => [
                    ["y" => $maleAge16to20, "label" => "16-20"],
                    ["y" => $maleAge21to25, "label" => "21-25"],
                    ["y" => $maleAge26to30, "label" => "26-30"],
                    ["y" => $maleAge31to35, "label" => "31-35"],
                    ["y" => $maleAge36to40, "label" => "36-40"],
                    ["y" => $maleAge41to45, "label" => "41-45"],
                    ["y" => $maleAge46to50, "label" => "46-50"],
                    ["y" => $maleAge51to55, "label" => "51-55"],
                    ["y" => $maleAge56to60, "label" => "56-60"],
                ]
            ],

            [
                "type"=> "bar",
                "showInLegend"=> true,
                "name"=> "หญิง",
                "color"=> "gold",
                "dataPoints" => [
                    ["y" => $femaleAge16to20, "label" => "16-20ปี"],
                    ["y" => $femaleAge21to25, "label" => "21-25ปี"],
                    ["y" => $femaleAge26to30, "label" => "26-30ปี"],
                    ["y" => $femaleAge31to35, "label" => "31-35ปี"],
                    ["y" => $femaleAge36to40, "label" => "36-40ปี"],
                    ["y" => $femaleAge41to45, "label" => "41-45ปี"],
                    ["y" => $femaleAge46to50, "label" => "46-50ปี"],
                    ["y" => $femaleAge51to55, "label" => "51-55ปี"],
                    ["y" => $femaleAge56to60, "label" => "56-60ปี"],
                ]
            ]
        ];
        return Response::json(array('data' => $result));

    }
}