<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Resume extends Model
{
    protected $table = 'Resume';
    protected $primaryKey = 'RunningNumber';
   	protected $appends = ['area', 'province'];
    public $timestamps = false;

   	public function getAreaAttribute()
    {
        $modelTambon = $this->tambon()->first();
        $area = '';
        if($modelTambon != null){
            $tambon = $modelTambon->NAME_THAI;
            $amphoe = $modelTambon->AMPHOE_THAI;
            $province =  $modelTambon->PROVINCE_THAI;
            $area = $tambon.' '.$amphoe.' '.$province;
        }
        return $area;
    }

    public function getProvinceAttribute()
    {
    	$modelTambon = $this->tambon()->first();
        $province = '-';

        if($modelTambon != null){
    	   $province =  str_replace("จังหวัด","",$modelTambon->PROVINCE_THAI);
        }
        
    	return $province;
    }
    
    public function tambon()
    {
        return $this->belongsTo('App\Tambon', 'TAMBONCODE', 'T_CODE');
    }
}
