$( document ).ready(function() {
    var id = $("#jobId").val();

    var arrayData = [['อายุ', 'ชาย', 'หญิง']];
    $.ajax({
        url: '/job/'+id+'/genChart', 
        success: function(response) {
            $('#dual_y_div').removeClass('valign-wrapper');
            if(response.data.length > 0){
               var chart = new CanvasJS.Chart("dual_y_div",
                    {
                      height: 450, 
                      width: 444, 
                      title:{
                        text: "จำนวนคนสมัครงาน(แบ่งตามอายุและเพศ)",
                        fontSize: 14,                 
                      },
                      animationEnabled: true,
                      legend: {
                        fontSize: 12,
                        cursor:"pointer",
                        itemclick : function(e) {
                          if (typeof (e.dataSeries.visible) === "undefined" || e.dataSeries.visible) {
                              e.dataSeries.visible = false;
                          }
                          else {
                              e.dataSeries.visible = true;
                          }
                          chart.render();
                        },
                      },
                      axisY: {
                        title: "จำนวน(คน)",
                        titleFontSize: 12,
                        labelFontSize: 10
                      },
                      axisX: {
                        labelFontSize: 10,
                        fontSize: 10
                      },
                      toolTip: {
                        shared: true,  
                        content: function(e){
                          var str = '';
                          var total = 0 ;
                          var str3;
                          var str2 ;
                          for (var i = 0; i < e.entries.length; i++){
                            var  str1 = "<span style= 'color:"+e.entries[i].dataSeries.color + "'> " + e.entries[i].dataSeries.name + "</span>: <strong>"+  e.entries[i].dataPoint.y + "</strong> <br/>" ; 
                            total = e.entries[i].dataPoint.y + total;
                            str = str.concat(str1);
                          }
                          str2 = "<span style = 'color:DodgerBlue; '><strong>"+e.entries[0].dataPoint.label + "</strong></span><br/>";
                          str3 = "<span style = 'color:Tomato '>Total: </span><strong>" + total + "</strong><br/>";
                          
                          return (str2.concat(str)).concat(str3);
                        }

                      },
                     data:response.data
                    });

                chart.render();
                
            }else {
                $('#dual_y_div').html('<h6 class="center" >-ไม่มีข้อมูลจำนวนผู้สมัครงาน-</h6>');
            }
        }
    });


    var arrayData2 = [['ประเภทงาน', 'จำนวน']];
    $.ajax({
        url: '/job/'+id+'/amountChart', 
        success: function(response) {
            if(!$.isEmptyObject(response.total)){
                $.each(response.total, function(index, result) {
                    arrayData2.push([index,result])
                });
                google.charts.load("current", {packages:["corechart"]});
                google.charts.setOnLoadCallback(drawChart);
                function drawChart() {
                    var data = google.visualization.arrayToDataTable(arrayData2);
                    var options = {
                        height:450,
                        title: 'จำนวนคนสมัครในแต่ละJobType',
                        is3D: true,
                        titleTextStyle:
                        {   fontSize: 16, 
                            bold: false,
                            italic: false,
                        },
                    };
                var chart = new google.visualization.PieChart(document.getElementById('piechart_3d'));
                chart.draw(data, options);
                }
            }else {
                $('#piechart_3d').html('<h6 class="center" >-ไม่มีข้อมูลจำนวนคนสมัครในแต่ละJobType-</h6>');
            }
        }
    });
});