<!DOCTYPE html>
<html>
    <head>
        <title>Login</title>
        <link href="/materialize/css/Material+Icons.css" rel="stylesheet">
        <link type="text/css" rel="stylesheet" href="/materialize/css/materialize.css" media="screen,projection"/>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
        <link type="text/css" rel="stylesheet" href="{{ URL::asset('/companyHR/css/login.css') }}"/>
        <link rel="stylesheet" media="all" href="/font-awesome/css/font-awesome.min.css">
    </head>
    <body class="parent">
        <div class="blur"></div>
        <div class="child">
            <h4 class="center-align white-text">CompanyHR Admin</h4>
            <div class="white-text">
                <form role="form" method="POST" action="{{ url('/login') }}">
                    {{ csrf_field() }}
                    <div class="row ">
                        <div class="input-field col s12 ">
                            <i class="material-icons prefix">account_circle</i>
                            <input id="email" type="email" class="validate"  name="email">
                            <label for="email">Email</label>
                            
                            @if ($errors->has('email'))
                                <span class="help-block">
                                    <strong>{{ $errors->first('email') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                    <div class="row">
                        <div class="input-field col s12">
                            <i class="material-icons prefix">vpn_key</i>
                            <input id="password" type="password" class="validate " name="password">
                            <label for="password">Password</label>
                            
                             @if ($errors->has('password'))
                                <span class="help-block">
                                    <strong>{{ $errors->first('password') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col s6 center-align">
                            <button id="submit" type="submit" class="btn light-blue">
                                <i class="fa fa-btn fa-sign-in"></i> Login
                            </button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <script src="{{ URL::asset('/js/jquery-3.1.0.min.js')}}"></script>
        <script src="{{ URL::asset('/materialize/js/materialize.min.js') }}"></script>
        <script src="/companyHR/js/login.js"></script>
    </body>
</html>